@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root {
	--primary-color: #890000;
	--background-color: #878787;
	--dark-color: #151515;
}

html {
	font-size: 62.5%;
	font-family: 'Poppins', sans-serif;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/* ********************************** */
/*             UTILIDADES             */
/* ********************************** */
.container {
	max-width: 120rem;
	margin: 0 auto;
}

.heading-1 {
	text-align: center;
	font-weight: 500;
	font-size: 3rem;
}

/* ********************************** */
/*               HEADER               */
/* ********************************** */
.container-hero {
	background-color: var(--background-color);
}

.hero {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 2rem 0;
}

.customer-support {
	display: flex;
	align-items: center;
	gap: 2rem;
}

.customer-support i {
	font-size: 3.3rem;
}

.content-customer-support {
	display: flex;
	flex-direction: column;
}

.container-logo {
	display: flex;
	align-items: center;
	gap: 0.5rem;
}

.container-logo i {
	font-size: 3rem;
}

.container-logo h1 a {
	text-decoration: none;
	color: #000;
	font-size: 3rem;
	text-transform: uppercase;
	letter-spacing: -1px;
}

.container-user {
	display: flex;
	gap: 1rem;
	cursor: pointer;
}

.container-user .fa-location-dot {
	font-size: 3rem;
	color: var(--primary-color);
	padding-left: 1rem;
}

/* ************* NAVBAR ************* */
.container-navbar {
	background-color: var(--primary-color);
}

.navbar {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 2rem 0;
}

.navbar .fa-bars {
	display: none;
}

.menu {
	display: flex;
	gap: 2rem;
}

.menu li {
	list-style: none;
}

.menu a {
	text-decoration: none;
	font-size: 1.3rem;
	color: #ffffff;
	font-weight: 600;
	text-transform: uppercase;
	position: relative;
}

.menu a::after {
	content: '';
	width: 1.5rem;
	height: 1px;
	background-color: #ff0000;
	position: absolute;
	bottom: -3px;
	left: 50%;
	transform: translate(-50%, 50%);
	opacity: 0;
	transition: all 0.3s ease;
}

.menu a:hover::after {
	opacity: 1;
}

.menu a:hover {
	color: #ff0000;
}

/* ********************************** */
/*               BANNER               */
/* ********************************** */
.banner {
	background-image: linear-gradient(100deg, #000000, #00000020),
		url('image/imgworkman.png');
	height: 60rem;
	background-size: cover;
	background-position: center;
}

.content-banner {
	max-width: 90rem;
	margin: 0 auto;
	padding: 25rem 0;
}

.content-banner p {
	color: var(--primary-color);
	font-size: 1.2rem;
	margin-bottom: 1rem;
	font-weight: 500;
}

.content-banner h2 {
	color: #fff;
	font-size: 3.5rem;
	font-weight: 500;
	line-height: 1.2;
}

.content-banner a {
	margin-top: 2rem;
	text-decoration: none;
	color: #fff;
	background-color: var(--primary-color);
	display: inline-block;
	padding: 1rem 3rem;
	text-transform: uppercase;
	border-radius: 3rem;
}

/**************************/
/*          MAPA          */
/*************************/

.mapa h1 {
	color: #890000;
	text-align: center;
}

.mapa {
	margin: 0 auto;
	background-color: rgb(79, 79, 79);
	border-radius: 5px;
	display: flex;
	flex-direction: column;
	justify-content: flex;
	align-items: center;
	width: fit-content;
}

.frameMapa {
	border-radius: 5px;
	margin: 15px;
}

.direction {
	background-color: #9e0000;
}

.container-direction {
	display: flex;
	flex-direction: column;
	gap: 4rem;
	padding: 3rem;
}

.menu-direction {
	display: grid;
	grid-template-columns: repeat(3, 1fr) 30rem;
	gap: 3rem;
	justify-items: center;
}

.title-direction {
	font-weight: 600;
	font-size: 1.6rem;
	text-transform: uppercase;
}

.contact-info,
.information {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.contact-info ul,
.information ul {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.contact-info ul li,
.information ul li {
	list-style: none;
	color: #ffffff;
	font-size: 1.4rem;
	font-weight: 300;
}

.information ul li a {
	text-decoration: none;
	color: #ffffff;
	font-weight: 300;
}

.information ul li a:hover {
	color: var(--dark-color);
}

.social-icons {
	display: flex;
	gap: 1.5rem;
}

.social-icons span {
	border-radius: 50%;
	width: 5rem;
	height: 5rem;
	display: flex;
	align-items: center;
	justify-content: center;
}

.social-icons span i {
	color: #fff;
	font-size: 3.0rem;
}

.WhastApp {
	background-color: #22db09;
}

.Web {
	background-color: #c50000;
}



/* ********************************** */
/*               FOOTER               */
/* ********************************** */

.footer {
	background-color: #c50000;
}

.container-footer {
	display: flex;
	flex-direction: column;
	gap: 4rem;
	padding: 3rem;
}

.menu-footer {
	display: grid;
	grid-template-columns: repeat(3, 1fr) 30rem;
	gap: 3rem;
	justify-items: center;
}

.title-footer {
	font-weight: 600;
	font-size: 1.6rem;
	text-transform: uppercase;
}

.contact-info,
.information,
.my-account,
.newsletter {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.contact-info ul,
.information ul,
.my-account ul {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.contact-info ul li,
.information ul li,
.my-account ul li {
	list-style: none;
	color: #fff;
	font-size: 1.4rem;
	font-weight: 300;
}

.information ul li a,
.my-account ul li a {
	text-decoration: none;
	color: #fff;
	font-weight: 300;
}

.information ul li a:hover,
.my-account ul li a:hover {
	color: var(--dark-color);
}

.social-icons {
	display: flex;
	gap: 1.5rem;
}

.social-icons span {
	border-radius: 50%;
	width: 3rem;
	height: 3rem;

	display: flex;
	align-items: center;
	justify-content: center;
}

.social-icons span i {
	color: #fff;
	font-size: 1.2rem;
}

.facebook {
	background-color: #3b5998;
}

.WhatsApp {
	background-color: #5df716;
}

.youtube {
	background-color: #c4302b;
}

.pinterest {
	background-color: #c8232c;
}

.instagram {
	background: linear-gradient(
		#405de6,
		#833ab4,
		#c13584,
		#e1306c,
		#fd1d1d,
		#f56040,
		#fcaf45
	);
}

.content p {
	font-size: 1.4rem;
	color: #fff;
	font-weight: 300;
}

.content input {
	outline: none;
	background: none;
	border: none;
	border-bottom: 2px solid #d2b495;
	cursor: pointer;
	padding: 0.5rem 0 1.2rem;
	color: var(--dark-color);
	display: block;
	margin-bottom: 3rem;
	margin-top: 2rem;
	width: 100%;
	font-family: inherit;
}

.content input::-webkit-input-placeholder {
	color: #eee;
}

.content button {
	border: none;
	background-color: #000;
	color: #fff;
	text-transform: uppercase;
	padding: 1rem 3rem;
	border-radius: 2rem;
	font-size: 1.4rem;
	font-family: inherit;
	cursor: pointer;
	font-weight: 600;
}

.content button:hover {
	background-color: var(--background-color);
	color: var(--primary-color);
}

.copyright {
	display: flex;
	justify-content: space-between;
	padding-top: 2rem;

	border-top: 1px solid #d2b495;
}

.copyright p {
	font-weight: 400;
	font-size: 1.6rem;
}

/*RESPONSIVE*/
@media(max-width:1080px){
	.contenedor{
		height: auto;
	}

	.contenedor .img-container{
		padding: 40px;
		box-sizing: border-box;
		width: 100%!important;
		height: auto;
		text-align: center;
	}

	.contenedor .img-container img{
		left: initial;
		max-width: 100%;
		transform: rotate(0deg);
	}

	.details{
		width: 45%!important;
		height: auto;
		padding: 20px;
	}

	.mapa{
		width: 400px;
		height: 350px;
	}

	.mapa iframe{
		width: auto;
		height: 300px;
	}
}